#include "triangles.h"
using namespace std;
vector<vector<int>> solve(int n) {
    // Example of compare:
    // Пример использования функции compare:
    for (long long i = 0; i < 4; i++) {
        for (long long j = i + 1; j < 4; j++) {
            long long f = -1, s = -1;
            for (long long k = 0; k < 4; k++) {
                if (i == k || j == k) {
                    continue;
                }
                if (f == -1) {
                    f = k;
                } else {
                    s = k;
                }
            }
            if (compare({Triangle(i, j, f), Triangle(i, j, s)}, {Triangle(f, s, i), Triangle(f, s, j)}) == 0) {
                return {{i, j, f}, {i, j, s}};
            }
        }
    }
    Triangle ans(0, 1, 2);
    for (long long i = 0; i < 4; i++) {
        for (long long j = i + 1; j < 4; j++) {
            for (long long k = j + 1; k < 4; k++) {
                if (compare({ans}, {Triangle(i, j, k)}) == 1) {
                    ans = Triangle(i, j, k);
                }
            }
        }
    }
    return {{ans.i, ans.j, ans.k}};
    // compare_result should be equal to 0.
    // compare_result будет равняться нулю, так как сравнивались одинаковые треугольники.
    
    // Example of return:
    // Пример возвращаемого значения:

}